@import '_content/BlazorDateRangePicker/BlazorDateRangePicker.iitr8bszy4.bundle.scp.css';

/* /Components/ChatComponent.razor.rz.scp.css */
<link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700&display=swap" rel="stylesheet" >


section[b-lpfn16bbf5] {
    display: block;
}

body[b-lpfn16bbf5] {
    line-height: 1.5;
}

ol[b-lpfn16bbf5],
ul[b-lpfn16bbf5] {
    list-style: none;
}

blockquote[b-lpfn16bbf5],
q[b-lpfn16bbf5] {
    quotes: none;
}

    blockquote[b-lpfn16bbf5]:before,
    blockquote[b-lpfn16bbf5]:after,
    q[b-lpfn16bbf5]:before,
    q[b-lpfn16bbf5]:after {
        content: '';
        content: none;
    }

table[b-lpfn16bbf5] {
    border-collapse: collapse;
    border-spacing: 0;
}

body[b-lpfn16bbf5] {
    margin: 0;
    font-family: 'Open Sans', sans-serif;
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

html[b-lpfn16bbf5] {
    min-height: 100%;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

h1[b-lpfn16bbf5] {
    font-size: 36px;
}

h2[b-lpfn16bbf5] {
    font-size: 30px;
}

h3[b-lpfn16bbf5] {
    font-size: 26px;
}

h4[b-lpfn16bbf5] {
    font-size: 22px;
}

h5[b-lpfn16bbf5] {
    font-size: 18px;
}

h6[b-lpfn16bbf5] {
    font-size: 16px;
}

p[b-lpfn16bbf5] {
    font-size: 15px;
}

a[b-lpfn16bbf5] {
    text-decoration: none;
    font-size: 15px;
}

*[b-lpfn16bbf5] {
    margin-bottom: 0;
}

.message-area[b-lpfn16bbf5] {
    height: 100vh;
    overflow: hidden;
    padding: 30px 0;
    background: #f5f5f5;
}

.chat-area[b-lpfn16bbf5] {
    position: relative;
    width: 100%;
    background-color: #fff;
    border-radius: 0.3rem;
    height: 90vh;
    overflow: hidden;
    min-height: calc(100% - 1rem);
}

.chatlist[b-lpfn16bbf5] {
    outline: 0;
    height: 100%;
    overflow: hidden;
    width: 300px;
    float: left;
    padding: 15px;
}

.chat-area .modal-content[b-lpfn16bbf5] {
    border: none;
    border-radius: 0;
    outline: 0;
    height: 100%;
}

.chat-area .modal-dialog-scrollable[b-lpfn16bbf5] {
    height: 100% !important;
}

.chatbox[b-lpfn16bbf5] {
    width: auto;
    overflow: hidden;
    height: 100%;
    border-left: 1px solid #ccc;
}

    .chatbox .modal-dialog[b-lpfn16bbf5],
    .chatlist .modal-dialog[b-lpfn16bbf5] {
        max-width: 100%;
        margin: 0;
    }

.msg-search[b-lpfn16bbf5] {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.chat-area .form-control[b-lpfn16bbf5] {
    display: block;
    width: 80%;
    padding: 0.375rem 0.75rem;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.5;
    color: #222;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ccc;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0.25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

    .chat-area .form-control:focus[b-lpfn16bbf5] {
        outline: 0;
        box-shadow: inherit;
    }

a.add img[b-lpfn16bbf5] {
    height: 36px;
}

.chat-area .nav-tabs[b-lpfn16bbf5] {
    border-bottom: 1px solid #dee2e6;
    align-items: center;
    justify-content: space-between;
    flex-wrap: inherit;
}

    .chat-area .nav-tabs .nav-item[b-lpfn16bbf5] {
        width: 100%;
    }

    .chat-area .nav-tabs .nav-link[b-lpfn16bbf5] {
        width: 100%;
        color: #180660;
        font-size: 14px;
        font-weight: 500;
        line-height: 1.5;
        text-transform: capitalize;
        margin-top: 5px;
        margin-bottom: -1px;
        background: 0 0;
        border: 1px solid transparent;
        border-top-left-radius: 0.25rem;
        border-top-right-radius: 0.25rem;
    }

        .chat-area .nav-tabs .nav-item.show .nav-link[b-lpfn16bbf5],
        .chat-area .nav-tabs .nav-link.active[b-lpfn16bbf5] {
            color: #222;
            background-color: #fff;
            border-color: transparent transparent #000;
        }

        .chat-area .nav-tabs .nav-link:focus[b-lpfn16bbf5],
        .chat-area .nav-tabs .nav-link:hover[b-lpfn16bbf5] {
            border-color: transparent transparent #000;
            isolation: isolate;
        }

.chat-list h3[b-lpfn16bbf5] {
    color: #222;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    text-transform: capitalize;
    margin-bottom: 0;
}

.chat-list p[b-lpfn16bbf5] {
    color: #343434;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.5;
    text-transform: capitalize;
    margin-bottom: 0;
}

.chat-list a.d-flex[b-lpfn16bbf5] {
    margin-bottom: 15px;
    position: relative;
    text-decoration: none;
}

.chat-list .active[b-lpfn16bbf5] {
    display: block;
    content: '';
    clear: both;
    position: absolute;
    bottom: 3px;
    left: 34px;
    height: 12px;
    width: 12px;
    background: #00DB75;
    border-radius: 50%;
    border: 2px solid #fff;
}

.msg-head h3[b-lpfn16bbf5] {
    color: #222;
    font-size: 18px;
    font-weight: 600;
    line-height: 1.5;
    margin-bottom: 0;
}

.msg-head p[b-lpfn16bbf5] {
    color: #343434;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.5;
    text-transform: capitalize;
    margin-bottom: 0;
}

.msg-head[b-lpfn16bbf5] {
    padding: 15px;
    border-bottom: 1px solid #ccc;
}

.moreoption[b-lpfn16bbf5] {
    display: flex;
    align-items: center;
    justify-content: end;
}

    .moreoption .navbar[b-lpfn16bbf5] {
        padding: 0;
    }

    .moreoption li .nav-link[b-lpfn16bbf5] {
        color: #222;
        font-size: 16px;
    }

    .moreoption .dropdown-toggle[b-lpfn16bbf5]::after {
        display: none;
    }

    .moreoption .dropdown-menu[data-bs-popper][b-lpfn16bbf5] {
        top: 100%;
        left: auto;
        right: 0;
        margin-top: 0.125rem;
    }

.msg-body ul[b-lpfn16bbf5] {
    overflow: hidden;
}

    .msg-body ul li[b-lpfn16bbf5] {
        list-style: none;
        margin: 15px 0;
    }

        .msg-body ul li.sender[b-lpfn16bbf5] {
            display: block;
            width: 100%;
            position: relative;
        }

            .msg-body ul li.sender[b-lpfn16bbf5]:before {
                display: block;
                clear: both;
                content: '';
                position: absolute;
                top: -6px;
                left: -7px;
                width: 0;
                height: 0;
                border-style: solid;
                border-width: 0 12px 15px 12px;
                border-color: transparent transparent #f5f5f5 transparent;
                -webkit-transform: rotate(-37deg);
                -ms-transform: rotate(-37deg);
                transform: rotate(-37deg);
            }

            .msg-body ul li.sender p[b-lpfn16bbf5] {
                color: #000;
                font-size: 14px;
                line-height: 1.5;
                font-weight: 400;
                padding: 15px;
                background: #f5f5f5;
                display: inline-block;
                border-bottom-left-radius: 10px;
                border-top-right-radius: 10px;
                border-bottom-right-radius: 10px;
                margin-bottom: 0;
            }

                .msg-body ul li.sender p b[b-lpfn16bbf5] {
                    display: block;
                    color: #180660;
                    font-size: 14px;
                    line-height: 1.5;
                    font-weight: 500;
                }

        .msg-body ul li.reply[b-lpfn16bbf5] {
            display: block;
            width: 100%;
            text-align: right;
            position: relative;
        }

            /* .msg-body ul li.reply:before {
                    display: block;
                    clear: both;
                    content: '';
                    position: absolute;
                    bottom: 15px;
                    right: -7px;
                    width: 0;
                    height: 0;
                    border-style: solid;
                    border-width: 0 12px 15px 12px;
                    border-color: transparent transparent #4b7bec transparent;
                    -webkit-transform: rotate(37deg);
                    -ms-transform: rotate(37deg);
                    transform: rotate(37deg);
                }*/

            .msg-body ul li.reply p[b-lpfn16bbf5] {
                color: #fff;
                font-size: 14px;
                line-height: 1.5;
                font-weight: 400;
                padding: 15px;
                background: #4b7bec;
                display: inline-block;
                border-top-left-radius: 10px;
                border-top-right-radius: 10px;
                border-bottom-left-radius: 10px;
                margin-bottom: 0;
            }

                .msg-body ul li.reply p b[b-lpfn16bbf5] {
                    display: block;
                    color: #061061;
                    font-size: 14px;
                    line-height: 1.5;
                    font-weight: 500;
                }

            .msg-body ul li.reply[b-lpfn16bbf5]:after {
                display: block;
                content: '';
                clear: both;
            }

.time[b-lpfn16bbf5] {
    display: block;
    color: #000;
    font-size: 12px;
    line-height: 1.5;
    font-weight: 400;
}

li.reply .time[b-lpfn16bbf5] {
    margin-right: 20px;
}

.divider[b-lpfn16bbf5] {
    position: relative;
    z-index: 1;
    text-align: center;
}

.msg-body h6[b-lpfn16bbf5] {
    text-align: center;
    font-weight: normal;
    font-size: 14px;
    line-height: 1.5;
    color: #222;
    background: #fff;
    display: inline-block;
    padding: 0 5px;
    margin-bottom: 0;
}

.divider[b-lpfn16bbf5]:after {
    display: block;
    content: '';
    clear: both;
    position: absolute;
    top: 12px;
    left: 0;
    border-top: 1px solid #EBEBEB;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.send-box[b-lpfn16bbf5] {
    padding: 15px;
    border-top: 1px solid #ccc;
}

    .send-box form[b-lpfn16bbf5] {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 15px;
    }

    .send-box .form-control[b-lpfn16bbf5] {
        display: block;
        width: 85%;
        padding: 0.375rem 0.75rem;
        font-size: 14px;
        font-weight: 400;
        line-height: 1.5;
        color: #222;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid #ccc;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        border-radius: 0.25rem;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }

    .send-box button[b-lpfn16bbf5] {
        border: none;
        background: #3867d6;
        padding: 0.375rem 5px;
        color: #fff;
        border-radius: 0.25rem;
        font-size: 14px;
        font-weight: 400;
        width: 24%;
        margin-left: 1%;
    }

        .send-box button i[b-lpfn16bbf5] {
            margin-right: 5px;
        }

.send-btns .button-wrapper[b-lpfn16bbf5] {
    position: relative;
    width: 125px;
    height: auto;
    text-align: left;
    margin: 0 auto;
    display: block;
    background: #F6F7FA;
    border-radius: 3px;
    padding: 5px 15px;
    float: left;
    margin-right: 5px;
    margin-bottom: 5px;
    overflow: hidden;
}

    .send-btns .button-wrapper span.label[b-lpfn16bbf5] {
        position: relative;
        z-index: 1;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        width: 100%;
        cursor: pointer;
        color: #343945;
        font-weight: 400;
        text-transform: capitalize;
        font-size: 13px;
    }

.send-btns .attach .form-control[b-lpfn16bbf5] {
    display: inline-block;
    width: 120px;
    height: auto;
    padding: 5px 8px;
    font-size: 13px;
    font-weight: 400;
    line-height: 1.5;
    color: #343945;
    background-color: #F6F7FA;
    background-clip: padding-box;
    border: 1px solid #F6F7FA;
    border-radius: 3px;
    margin-bottom: 5px;
}

.send-btns .button-wrapper span.label img[b-lpfn16bbf5] {
    margin-right: 5px;
}

.button-wrapper[b-lpfn16bbf5] {
    position: relative;
    width: 100px;
    height: 100px;
    text-align: center;
    margin: 0 auto;
}

button:focus[b-lpfn16bbf5] {
    outline: 0;
}

.chat-icon[b-lpfn16bbf5] {
    display: none;
}

.closess i[b-lpfn16bbf5] {
    display: none;
}
/* /Components/Pin/PinComponent.razor.rz.scp.css */
.custom-form-header[b-b17wasokcm] {
    border: 2px solid #f0f0f0 !important;
    background-color: #f0f0f0;
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-1y2r5yllap] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-1y2r5yllap] {
    flex: 1;
}

.sidebar[b-1y2r5yllap] {
    /*background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);*/
}

.top-row[b-1y2r5yllap] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-1y2r5yllap]  a, .top-row[b-1y2r5yllap]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-1y2r5yllap]  a:hover, .top-row[b-1y2r5yllap]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-1y2r5yllap]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-1y2r5yllap] {
        display: none;
    }

    .top-row.auth[b-1y2r5yllap] {
        justify-content: space-between;
    }

    .top-row[b-1y2r5yllap]  a, .top-row[b-1y2r5yllap]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-1y2r5yllap] {
        flex-direction: row;
    }

    .sidebar[b-1y2r5yllap] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-1y2r5yllap] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-1y2r5yllap]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-1y2r5yllap], article[b-1y2r5yllap] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
